### Enumeration

# Adw FlapTransitionType

#### Declaration

    enum Adw.FlapTransitionType

#### Description [src]

Describes transitions types of a `AdwFlap` widget.

It determines the type of animation when transitioning between children in a `AdwFlap` widget, as well as which areas can be swiped via `AdwFlap:swipe-to-open` and `AdwFlap:swipe-to-close`.

New values may be added to this enum over time.

Available since: | 1.0

#### Members

Name | Description
--- | ---
`ADW_FLAP_TRANSITION_TYPE_OVER` | The flap slides over the content, which is dimmed. When folded, only the flap can be swiped.
`ADW_FLAP_TRANSITION_TYPE_UNDER` | The content slides over the flap. Only the content can be swiped.
`ADW_FLAP_TRANSITION_TYPE_SLIDE` | The flap slides offscreen when hidden, neither the flap nor content overlap each other. Both widgets can be swiped.